## org.apache.lucene.xmlparser.builders
Class SpanFirstBuilder

    java.lang.Object
      org.apache.lucene.xmlparser.builders.SpanBuilderBase
          org.apache.lucene.xmlparser.builders.SpanFirstBuilder

All Implemented Interfaces:
  SpanQueryBuilder, QueryBuilder

    public class SpanFirstBuilder

extends SpanBuilderBase

Constructor Summary
`SpanFirstBuilder(SpanQueryBuilder factory)`

Method Summary
`SpanQuery` `getSpanQuery(Element e)`

Methods inherited from class org.apache.lucene.xmlparser.builders.SpanBuilderBase
`getQuery`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpanFirstBuilder

    public SpanFirstBuilder(SpanQueryBuilder factory)

Method Detail

### getSpanQuery

    public SpanQuery getSpanQuery(Element e)
                           throws ParserException

  Throws:
    `ParserException`